Modify

#21304 closed defect (othersoftware)

JOSM crash after keyboard language changed (MacOS)

Reported by: machyna@… Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: crash, keyboard, javabug Cc:

Description

What steps will reproduce the problem?

  1. I started JOSM from Terminal as java -Xmx10000M -jar josm-tested.jar
  2. I had some data loaded, Search window open and needed to switch system keyboard language
  3. JOSM crashed (happened a few times due to these same reasons)

Please provide any additional information below. Attach a screenshot if possible.

this is the output from Terminal

2021-09-07 19:18:04.526 java[15647:9428427] *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '+[AWTView keyboardInputSourceChanged:]: unrecognized selector sent to class 0x1107275e8'
*** First throw call stack:
(
    0   CoreFoundation                      0x00007fff2069583b __exceptionPreprocess + 242
    1   libobjc.A.dylib                     0x00007fff203cdd92 objc_exception_throw + 48
    2   CoreFoundation                      0x00007fff207182a5 __CFExceptionProem + 0
    3   CoreFoundation                      0x00007fff205fd8cb ___forwarding___ + 1448
    4   CoreFoundation                      0x00007fff205fd298 _CF_forwarding_prep_0 + 120
    5   CoreFoundation                      0x00007fff206110cd __CFNOTIFICATIONCENTER_IS_CALLING_OUT_TO_AN_OBSERVER__ + 12
    6   CoreFoundation                      0x00007fff206acb1c ___CFXRegistrationPost_block_invoke + 49
    7   CoreFoundation                      0x00007fff206aca9a _CFXRegistrationPost + 454
    8   CoreFoundation                      0x00007fff205e234e _CFXNotificationPost + 736
    9   Foundation                          0x00007fff21352bb8 -[NSNotificationCenter postNotificationName:object:userInfo:] + 59
    10  AppKit                              0x00007fff231c8fbb __NSSelectedKeyboardInputSourcesChangedNotification + 58
    11  CoreFoundation                      0x00007fff206110cd __CFNOTIFICATIONCENTER_IS_CALLING_OUT_TO_AN_OBSERVER__ + 12
    12  CoreFoundation                      0x00007fff206acb1c ___CFXRegistrationPost_block_invoke + 49
    13  libdispatch.dylib                   0x00007fff20377623 _dispatch_call_block_and_release + 12
    14  libdispatch.dylib                   0x00007fff20378806 _dispatch_c2021-09-07 19:18:04.534 INFO: GET https://wayback.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/23001/14/7821/4646 -> HTTP/1.1 301 (106 ms; 277 B)
lient_callout + 8
    15  libdispatch.dylib                   0x00007fff20384b4f _dispatch_main_queue_callback_4CF + 940
    16  CoreFoundation                      0x00007fff206585a8 __CFRUNLOOP_IS_SERVICING_THE_MAIN_DISPATCH_QUEUE__ + 9
    17  CoreFoundation                      0x00007fff2061a7a2 __CFRunLoopRun + 2755
    18  CoreFoundation                      0x00007fff2061961c CFRunLoopRunSpecific + 563
    19  HIToolbox                           0x00007fff2885ea83 RunCurrentEventLoopInMode + 292
    20  HIToolbox                           0x00007fff2885e7e5 ReceiveNextEventCommon + 587
    21  HIToolbox                           0x00007fff2885e583 _BlockUntilNextEventMatchingListInModeWithFilter + 70
    22  AppKit                              0x00007fff22e20502 _DPSNextEvent + 864
    23  AppKit                              0x00007fff22e1ecd5 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1364
    24  libosxapp.dylib                     0x0000000106fc9b3a -[NSApplicationAWT nextEventMatchingMask:untilDate:inMode:dequeue:] + 121
    25  AppKit                              0x00007fff22e11049 -[NSApplication run] + 586
    26  libosxapp.dylib                     0x0000000106fc997f +[NSApplicationAWT runAWTLoopWithApp:] + 219
    27  libawt_lwawt.dylib                  0x00000001106f2588 +[AWTStarter starter:headless:] + 809
    28  JavaNativeFoundation                0x00007fff6ebac77f +[JNFRunLoop _performCopiedBlock:] + 15
    29  Foundation                          0x00007fff213c9b81 __NSThreadPerformPerform + 204
    30  CoreFoundation                      0x00007fff2061b94c __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
    31  CoreFoundation                      0x00007fff2061b8b4 __CFRunLoopDoSource0 + 180
    32  CoreFoundation                      0x00007fff2061b634 __CFRunLoopDoSources0 + 242
    33  CoreFoundation                      0x00007fff2061a05c __CFRunLoopRun + 893
    34  CoreFoundation                      0x00007fff2061961c CFRunLoopRunSpecific + 563
    35  libjli.dylib                        0x000000010697b5b5 CreateExecutionEnvironment + 398
    36  libjli.dylib                        0x000000010697781f JLI_Launch + 1315
    37  java                                0x00000001069652cc main + 364
    38  libdyld.dylib                       0x00007fff2053df3d start + 1
    39  ???                                 0x0000000000000004 0x0 + 4
)
2021-09-07 19:18:04.537 INFO: Download redirected to /arcgis/rest/services/world_imagery/mapserver/tile/18691/14/7821/4646
libc++abi: terminating with uncaught exception of type NSException
Abort trap: 6
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-09-03 03:12:33 +0200 (Fri, 03 Sep 2021)
Revision:18193
Build-Date:2021-09-03 01:31:19
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (18193 en) Mac OS X 10.16
OS Build number: macOS 11.5 (20G71)
Memory Usage: 700 MB / 10000 MB (351 MB allocated, but free)
Java version: 11.0.11+9-LTS-194, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.formdev.flatlaf.FlatDarkLaf
Screen: Display 69733632 1440×900 (scaling 2.00×2.00)
Maximum Screen Size: 1440×900
Best cursor sizes: 16×16→16×16, 32×32→32×32
Environment variable LANG: en_US.UTF-8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_US
Numbers with default locale: 1234567890 -> 1234567890
Dataset consistency test: No problems found

Plugins:
+ BuildingGeneralization (36)
+ FastDraw (35640)
+ MakeParallel (v1.1.0)
+ MicrosoftStreetside
+ PicLayer (1.0.1)
+ PolygonCutOut (v0.7)
+ ShapeTools (1240)
+ SimplifyArea (35640)
+ alignways (35753)
+ apache-commons (35524)
+ apache-http (35589)
+ buildings_tools (35756)
+ changeset-viewer (25)
+ conflation (0.6.6)
+ contourmerge (v0.1.8)
+ editgpx (35562)
+ ejml (35458)
+ flatlaf (35799)
+ geotools (35458)
+ jaxb (35543)
+ jna (35662)
+ jts (35458)
+ log4j (35458)
+ markseen (14)
+ merge-overlap (35640)
+ opendata (35803)
+ poly (35640)
+ reverter (35732)
+ shrinkwrap (v1.0.4)
+ splinex (35718)
+ terracer (35640)
+ todo (30306)
+ undelete (35640)
+ utilsplugin2 (35792)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Freemap&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Golf_Course&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/SentieriItaliani&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/LessObtrusiveNodes&style&zip=1
- https://github.com/simon04/coloured-addresses.mapcss/raw/master/dist/coloured-addresses.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SlovakiaBicycleRoutes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://github.com/TelenavMapping/Community_MapRoulette/blob/master/maxspeed.mapcss
+ ${HOME}/Documents/Results/Scripts/JOSM_style/AreaHighway.mapcss
- ${HOME}/Documents/Results/Scripts/JOSM_style/AddressNoNumber.mapcss

Last errors/warnings:
- 00011.363 W: Not a single layer for the name 'MapBox Satellite': []
- 00011.365 W: Not a single layer for the name 'MapBox Satellite': []
- 00011.927 W: Failed to parse Mappaint styles from 'https://github.com/TelenavMapping/Community_MapRoulette/blob/master/maxspeed.mapcss'. Error was: Encountered " "<" "< "" at line 7, column 1.
- 00011.930 E: org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.ParseException: Encountered " "<" "< "" at line 7, column 1.
- 00013.181 E: Error - <html>Plugin MicrosoftStreetside requires a plugin which was not found. The missing plugin is:<ul><li>javafx</li></ul></html>
- 00014.107 W: Region [TMS_BLOCK_v2] : Problem verifying disk.

Attachments (0)

Change History (3)

comment:1 Changed 11 months ago by taylor.smock

I wasn't able to reproduce with Java version: 11.0.12+7, Eclipse Foundation, OpenJDK 64-Bit Server VM on Mac OS X 11.5 (you are on 10.16).

First question: Can you update your Java version to 11.0.12 from 11.0.11? (Note: JOSM now recommends Azul/Bell Software Java distributions for Java 11+, as they have JavaFX included). Or you can use the MacOS package (it has a built-in version of Java, I think it is either Java 16 or Java 17).

Second question: Which keyboard language did you switch to? I used Greek, but this may make a difference.

comment:2 Changed 11 months ago by machyna@…

That update to 11.0.12 fixed it.

Thanks for looking into this!

comment:3 Changed 11 months ago by taylor.smock

Keywords: javabug added
Resolution: othersoftware
Status: newclosed

Java bugs are fun. It is nice when an update just "fixes" the issue.

Thanks for getting back to us.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.